G15Daemon(1)

NAME
g15daemon - provides access to extra keys and the LCD available on the logitech G15 keyboard.

DESCRIPTION
G15Daemon allows users access to all extra keys by decoding them and pushing them back into the kernel via the linux UINPUT driver. This driver must be loaded before g15daemon can be used for keyboard access.

The G15 LCD is also supported. By default, with no other clients active, g15daemon will display a clock. Client applications and scripts can access the LCD via a simple API.

OPTIONS
The current version of G15Daemon understands the following options:

-v       Show version info.

-s     By default, g15daemon uses the L1 key to switch between client screens.  Using this switch on the cmdline alters this, making
MR (Macro Record) the button to achieve this function.

-k      Stop a previously running copy of G15Daemon.  For the keys and LCD to work, you'll have to restart the daemon manually.

-h      Show a brief summary of commandline options available.

BASIC USAGE
G15Daemon must be run as the root user, either from a startup script (sample scripts are available in the contrib folder) or manually, via the su command.

To run the daemon with default options, run:

    g15daemon

or

    g15daemon -s to have the MR key as the client screen switch.

If all required libraries are installed and in locations known to your operating system, the daemon will slip quietly into the background and a clock will appear on the LCD. Congratulations! The linux kernel will now output keycodes for all your extra keys.

AUTHORS
The latest release of g15daemon is available at

http://g15daemon.sourceforge.net

G15daemon was written by Mike Lampard mlampard@users.sourceforge.net and uses the libg15 library by Philip Lawatsch and Anthony J. Mirabella of the g15tools project. (g15tools.sourceforge.net)

The Python bindings for libg15daemon_client were written by Sven Ludwig.

Many thanks to everyone who has assisted in reporting bugs, misfeatures and made feature requests.

An up to date list of all authors is available in the AUTHORS file distributed in the source.

LICENSE
G15daemon, libg15daemon_client and other sourcecode in this package are licensed under the GPL (General Public License), version 2 or later. Details on this license are available in the LICENSE document in the root directory of the source package, and at http://www.fsf.org